> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# API implementation of Claim Vouchers.

> <p>
Call this route to claim voucher(s) directly.
</p>
<ul>
<li> There must be either Voucher Id or Ticket Number or Booking Reference Number specified for each travel date. </li>
<li> Each row should have minimum of Voucher Id and Quantity. </li>
<li> Travel Date is <b>optional</b> if claim is based on voucher number. </li>
<li> Travel Date is <b>mandatory</b> if claim is based on ticket number. </li>
</ul>


**Example Request Parameters**

<pre>
{
  "claims":[
    { "voucherId":"RED57887647", "travelDate":"2017-06-12", "quantity":1, "ticketNumber":"2342342" },
    { "voucherId":"RED57887648", "travelDate":"2017-01-28", "quantity":1 },
    { "voucherId":"RED57887650", "quantity":1 },
    { "travelDate":"2017-06-30", "quantity":2, "ticketNumber":"2331658" },
    { "travelDate":"2019-02-26", "quantity":2, "bookingReference":"WTT15468-032507"}
  ]
}
</pre>

#### Response ####

**Top Level Result Object** - Array of

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>voucherId</td><td>n</td><td>string</td><td>Voucher Id or Ticket Number (if claim is based on ticket number)</td>
         </tr>
         <tr>
             <td>success</td><td>n</td><td>boolean</td><td>true - successfully claimed, false - could not be claimed</td>
         </tr>
         <tr>
             <td>message</td><td>n</td><td>string</td><td>A detailed explanation of the attempted claim's condition.<br/><em><strong>Note:</strong> Even successfully claimed items can have further detail/instruction. You should review all messages</em></td>
         </tr>
     </tbody>
 </table>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json post /apiv1/supplier/makeClaim
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /apiv1/supplier/makeClaim:
    post:
      tags:
        - Version 1
        - Vouchers
      summary: API implementation of Claim Vouchers.
      description: >-
        <p>

        Call this route to claim voucher(s) directly.

        </p>

        <ul>

        <li> There must be either Voucher Id or Ticket Number or Booking
        Reference Number specified for each travel date. </li>

        <li> Each row should have minimum of Voucher Id and Quantity. </li>

        <li> Travel Date is <b>optional</b> if claim is based on voucher number.
        </li>

        <li> Travel Date is <b>mandatory</b> if claim is based on ticket number.
        </li>

        </ul>



        **Example Request Parameters**


        <pre>

        {
          "claims":[
            { "voucherId":"RED57887647", "travelDate":"2017-06-12", "quantity":1, "ticketNumber":"2342342" },
            { "voucherId":"RED57887648", "travelDate":"2017-01-28", "quantity":1 },
            { "voucherId":"RED57887650", "quantity":1 },
            { "travelDate":"2017-06-30", "quantity":2, "ticketNumber":"2331658" },
            { "travelDate":"2019-02-26", "quantity":2, "bookingReference":"WTT15468-032507"}
          ]
        }

        </pre>


        #### Response ####


        **Top Level Result Object** - Array of

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>voucherId</td><td>n</td><td>string</td><td>Voucher Id or Ticket Number (if claim is based on ticket number)</td>
                 </tr>
                 <tr>
                     <td>success</td><td>n</td><td>boolean</td><td>true - successfully claimed, false - could not be claimed</td>
                 </tr>
                 <tr>
                     <td>message</td><td>n</td><td>string</td><td>A detailed explanation of the attempted claim's condition.<br/><em><strong>Note:</strong> Even successfully claimed items can have further detail/instruction. You should review all messages</em></td>
                 </tr>
             </tbody>
         </table>
      operationId: post_api_rest_v1_makeclaim
      requestBody:
        description: Voucher claims
        required: true
        content:
          application/json:
            schema:
              description: Information about a voucher claim
              properties:
                claims:
                  description: Array of ClaimItem(s)
                  type: array
                  items:
                    properties:
                      voucherId:
                        description: Voucher Id, mandatory if ticket number is empty
                        type: string
                      quantity:
                        description: Number of this Voucher being claimed
                        type: integer
                      travelDate:
                        description: >-
                          Travel Date of the voucher, optional if claim is based
                          on voucher id
                        type: string
                        format: date
                      ticketNumber:
                        description: Ticket Number, mandatory if voucher id is empty
                        type: string
                    type: object
              type: object
      responses:
        '200':
          description: >-
            Returned when successful. All claim requests processed successfully.
            Still should check "message" in the response for further details
        '202':
          description: >-
            Returned when partially successful (multiple claims in a single
            request). Check both "success" and "message" in response for further
            details on individual items
        '400':
          description: >-
            Returned when all claim items produce an error. Returned when
            required arguments not provided.
        '403':
          description: Returned when the user is not authorized.
        '500':
          description: Internal error.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.